"""
测试主函数
请在tests目录下创建测试文件, 并在此文件中调用
"""

from tests.pipeline.asr_test import test_asr_pipeline
from src.utils.logger import get_module_logger, setup_root_logger

setup_root_logger(level="INFO", log_file="logs/test_main.log")
logger = get_module_logger(__name__)

# from tests.functor.vad_test import test_vad_functor
# logger.info("开始测试VAD函数器")
# test_vad_functor()

logger.info("开始测试ASR管道")
test_asr_pipeline()
